1. Reference Data
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP (Beta)
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Update a Company
    • Retrieve Companies
    • Company Financial Reports
    • Retrieve Company IPs
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
    • Estimate Company Enrichment Job
    • Create Company Enrichment Job
    • Get Company Enrichment Job Status
  • Contacts
    • Get Contact Details
    • Update a Contact
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
    • Estimate Find Contact Data Job
    • Create Find Contact Data Job
    • Get Find Contact Data Job Status
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • Campaigns
    • Retrieve Campaigns
    • Get Campaign Details
    • Update Campaign
    • Retrieve Campaign Stats
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Get Buyer Persona Details
    • Update a Buyer Persona
    • Delete a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Get Ideal Customer Profile Details
    • Update an Ideal Customer Profile
    • Delete an Ideal Customer Profile
    • Retrieve Company ICP Matches
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
    • Create Batch Add Tags Job
    • Get Batch Add Tags Job
    • Create Batch Remove Tags Job
    • Get Batch Remove Tags Job
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
    • Retrieve List Items
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Create Batch Add to List Job
    • Get Batch Add to List Job
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Users
    • Get Current User
  • Usage
    • Get Endpoints Usage
  • Workflows
    • Retrieve Workflows
    • Create Workflow
    • Retrieve Workflow Action Definitions
    • Retrieve Workflow Trigger Definitions
    • Retrieve Workflow Templates
    • Get Workflow Details
    • Update Workflow
  • Reference Data
    • Get Geo Suggestions
      GET
    • Get Countries with Regions
      GET
  • Schemas
    • AccountCompanyV1
    • AccountV1
    • AccountSummaryV1
    • CompanyV1
    • ErrorObjectV1
    • ICPV1
    • CompanyFinancialsV1
    • IpAddressExtendedV1
    • UserV1
    • CompaniesAdvancedSearchFilterItem
    • ContactFilterGroupsV1
    • BuyerPersonaV1
    • ContactV1
    • EnrichmentJobV1
    • GeoSuggestionV1
    • ContactSummaryV1
    • MaskedContactSummaryV1
    • TagV1
    • ListV1
    • IcpRequestV1
    • VisitLocationV1
    • BuyerPersonaRequestV1
    • WebVisitV1
    • BatchAddTagsJobV1
    • BatchRemoveTagsJobV1
    • CRMUserV1
    • CRMOrganizationV1
    • EnrichedIpV1
    • CRMContactV1
    • CRMLeadV1
    • CRMConnectionV1
    • CustomFeedRequestV1
    • CRMSuggestionV1
    • CRMGroupConnectionV1
    • WorkflowV1
    • WorkflowActionDefinitionV1
    • CompanyIpV1
    • WorkflowTriggerDefinitionV1
    • WorkflowTemplateV1
    • SignalV1
    • CompanySummaryV1
    • MaskedCompanySummaryV1
    • CompanyMatchV1
    • CountryV1
    • FindContactDataJobV1
    • BatchAddToListJobV1
    • CustomFieldV1
    • BatchRemoveFromListJobV1
    • CustomFeedV1
    • CampaignSettingsV1
    • CampaignSummaryV1
    • CampaignLocationV1
    • CampaignV1
    • CampaignStatsV1
    • IpLocationV1
    • NetworkV1
    • ApiUsageV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • LocationV1
    • CompanyLocationV1
  1. Reference Data

Get Countries with Regions

GET
/v1/countries
Returns the full list of countries with their administrative regions.
Credit Note: This endpoint does not consume credits.
INFO
Requires the companies:read OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leadfeeder.com/v1/countries?account_id=123456' \
--header 'X-Api-Key: <api-key>'

Responses

🟢200OK
application/json
Countries with their administrative regions
Bodyapplication/json

Example
{
    "data": [
        {
            "type": "country",
            "id": "AT",
            "attributes": {
                "code": "AT",
                "name": "Austria",
                "regions": [
                    {
                        "code": "AT11",
                        "name": "Burgenland"
                    },
                    {
                        "code": "AT12",
                        "name": "Lower Austria"
                    },
                    {
                        "code": "AT13",
                        "name": "Vienna"
                    }
                ]
            }
        },
        {
            "type": "country",
            "id": "DE",
            "attributes": {
                "code": "DE",
                "name": "Germany",
                "regions": [
                    {
                        "code": "DE1",
                        "name": "Baden-Württemberg"
                    },
                    {
                        "code": "DE2",
                        "name": "Bavaria"
                    },
                    {
                        "code": "DE3",
                        "name": "Berlin"
                    }
                ]
            }
        },
        {
            "type": "country",
            "id": "US",
            "attributes": {
                "code": "US",
                "name": "United States",
                "regions": [
                    {
                        "code": "US_AK",
                        "name": "Alaska"
                    },
                    {
                        "code": "US_AL",
                        "name": "Alabama"
                    },
                    {
                        "code": "US_AR",
                        "name": "Arkansas"
                    }
                ]
            }
        }
    ],
    "meta": {
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
🔴503Service Unavailable
🔴504Gateway Timeout
Modified at 2026-08-31 12:06:53
Previous
Get Geo Suggestions
Next
AccountCompanyV1
Built with